gnuplot-commands.hh File Reference
`#include <roboptim/core/sys.hh>`
`#include <roboptim/core/debug.hh>`
`#include <string>`

## Classes

class | roboptim::visualization::gnuplot::Command
| Gnuplot command. More...

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.
| roboptim::visualization
| Graphic visualization.
| roboptim::visualization::gnuplot
| Gnuplot rendering.

## Functions

ROBOPTIM_DLLAPI Command | roboptim::visualization::gnuplot::comment (const char *) throw ()
| Make a Gnuplot comment. More...
ROBOPTIM_DLLAPI Command | roboptim::visualization::gnuplot::set (const char *var, const char *val="") throw ()
| Make a Gnuplot set command. More...
ROBOPTIM_DLLAPI Command | roboptim::visualization::gnuplot::unset (const char *var) throw ()
| Make a Gnuplot unset command. More...
ROBOPTIM_DLLAPI Command | roboptim::visualization::gnuplot::show (const char *var) throw ()
| Make a Gnuplot show command. More...
ROBOPTIM_DLLAPI Command | roboptim::visualization::gnuplot::clear () throw ()
| Make a Gnuplot clear command. More...
ROBOPTIM_DLLAPI Command | roboptim::visualization::gnuplot::pwd () throw ()
| Make a Gnuplot pwdcommand. More...
ROBOPTIM_DLLAPI Command | roboptim::visualization::gnuplot::quit () throw ()
| Make a Gnuplot quit command. More...
ROBOPTIM_DLLAPI Command | roboptim::visualization::gnuplot::replot () throw ()
| Make a Gnuplot replot command. More...
ROBOPTIM_DLLAPI Command | roboptim::visualization::gnuplot::reread () throw ()
| Make a Gnuplot reread command. More...
ROBOPTIM_DLLAPI Command | roboptim::visualization::gnuplot::reset () throw ()
| Make a Gnuplot reset command. More...
ROBOPTIM_DLLAPI Command | roboptim::visualization::gnuplot::cd (const char *dir) throw ()
| Make a Gnuplot cd command. More...
ROBOPTIM_DLLAPI Command | roboptim::visualization::gnuplot::help (const char *topic="") throw ()
| Make a Gnuplot help command. More...